Subject: Re: [Idr] AD Review of draft-ietf-idr-flow-spec-v6-14

From: Alvaro Retana <[email-masked]>
Date: Wed, 7 Oct 2020 09:42:37 -0700

On September 21, 2020 at 3:15:16 AM, Christoph Loibl wrote:

Christoph:

Hi!

...
> We worked on the issues that you raised and I just uploaded a -15 that
> addresses the issues you raised. All issues have been tracked on Github and
> the commits mention the assigned issue#:

I have just a couple of comments below.

The main one is related to the updated registry, and the need to
formally update rfc5575bis.  I think this should be a quick/simple
change, so I am starting the IETF LC -- please do make the change as
soon as possible so IANA has an up-to-date copy to work with.

Thanks!

Alvaro.

...
> > 151 3.1. Type 1 - Destination IPv6 Prefix
...
> Added explicit individual description of the fields. Also edited the list
> so that it is clear that we have optional padding and a pattern that gets
> matched.
> -->

This is the new text for §3.1 (with comments):

147	3.1.  Type 1 - Destination IPv6 Prefix
...
160	   length -  The length field indicates the N-th leftmost bit in the
161	      address where bitwise pattern matching stops.

[] "leftmost"  Can we use "most significant", or something like that?
I don't remember seeing "leftmost" used in this way.

163	   offset -  The offset field indicates the number of leftmost address
164	      bits to skip before bitwise pattern matching starts.

[] Same comment about "leftmost".

...
174	   Length minus offset must always be 0 or more, otherwise this
175	   component is malformed.

[major] If length minus offset is 0, then there's no pattern to match.
Does that result in "match anything/everything" or "match nothing"?

...
> > 393 8. IANA Considerations
...
> Changed IANA considerations to merge IPv4/IPv6 FS types into one registry.

Comments/questions about that:

(1) Because this document is changing the registry defined in
rfc5575bis, then we need to formally Update it.  Please add the
indication in the header, and a sentence in the Abstract: "This
documents updates rfc5575bis by changing the Flow Spec Component Types
registry."

(2) §8.1: please indicate that the registration procedure does not change.

(3) [this document] should also be listed as a reference in all the
assigned and reserved entries with an IPv6 name.

---

From: Christoph Loibl <[email-masked]>
Date: Mon, 12 Oct 2020 14:26:16 +0200

Hi Alvaro,

Thanks for the review. I just uploaded the changed -16 as requested. This should fix 2 issues that you raised.

RFCdiff gives (in this case) a rather good overview of the changes.

https://www.ietf.org/rfcdiff?url1=draft-ietf-idr-flow-spec-v6-15&url2=draft-ietf-idr-flow-spec-v6-16

Cheers Christoph

-- 
Christoph Loibl
[email-masked] | CL8-RIPE | PGP-Key-ID: 0x4B2C0055 | http://www.nextlayer.at

> On 07.10.2020, at 18:42, Alvaro Retana <[email-masked]> wrote:
> 
>> Changed IANA considerations to merge IPv4/IPv6 FS types into one registry